English

PLTS for ArcGIS 9.2 Defense Solution Service Pack 1

Summary

This Service Pack is obsolete. It has been replaced with a more recent PLTS for ArcGIS 9.2 Defense Solution Service Pack.

Description

Introduction


We recommend that customers download and install this Service Pack at their earliest convenience. This service pack upgrades PLTS for ArcGIS 9.2 Defense Solution to version 9.2.0.1. In addition to the issues addressed, new functionality has been introduced that allows you to perform tasks such as export Geonames from a database to a comma-delimited file, databases comparison, and various editing tasks.

Note: You must install ArcGIS 9.2 Service Pack 3 before installing this service pack.


Note: You must install PLTS for ArcGIS 9.2 Foundation Service Pack 2 before installing this service pack.

Issues Addressed with this Service Pack


2121 New tool to create elevated segments
2124 StripZsMs—Unexpected message when attempting to run command on an empty shapefile
2125 StripZsMsCommand fails to run on successive tries
2126 Data Comparison Tool needs to accept SDE databases
2127 MGCP Land Cover Validation needs to remove the cell error record
2129 Need to remove excess spaces in the LIMDIS Note
2132 Add additional notes to MapSheet Notes Properties
2134 The name of the data frame that contains the adjoining sheet guide information has been changed to Landline
2136 JOG Series should read 1501A and not 1501
2550 Geonames Schema Needs to be updated
2714 GDBBuilder makes duplicate entries in FFT for first FC metadata (MCGID xls)
3064 Geodatabase Builder output FFT missing ObjectID and SHAPE
3140 CreateFFT needs to be modified to reflect new FFT columns

Files Installed with this service pack


o New ESRI.PLTS.Defense.SDEExportImport.exe
o New FFD_GDB_to_Operational_GDB.mdb
o New GIDI_GeoNames_Logic.htm
o New MGCP_General_KnowledgeBase_TRD2.mdb
o New MGCP_general_TRD20_GBD_to_MGCP_general_TRD20_GDB.mdb
o New MGCP_General_WDB_TRD2_0.xls
o New PLTSGeoNames_Template92.mdb
o New PLTSGeoNames_Template92.xml
o New UTP_GDB_to_Urban_GDB.mdb
o New vitd_GDB_to_tactical_GDB.mdb
o Replace csPLTSDefenseSolution.HLP
o Replace DefenseFramework.dll
o Replace ESRI.PLTS.Defense.Core.dll
o Replace ESRI.PLTS.Defense.Desktop.dll
o Replace ESRI.PLTS.Defense.Geobase.dll
o Replace ESRI.PLTS.Defense.Geonames.dll
o Replace ESRI.PLTS.Defense.MGCP.dll
o Replace ESRI.PLTS.Defense.PLTSDefenseGDBBuilder.exe
o Replace ESRI.PLTS.Defense.Serialization.dll
o Replace ESRI.PLTS.Defense.StereoAirfieldCollection.dll
o Replace ESRI.PLTS.Defense.UI.dll
o Replace GIFD_D4_GDB_to_Tactical_GDB.mdb
o Replace image_city_map_production_procedures.chm
o Replace image_city_map_production_procedures.lif
o Replace MGCP_data_dictionary.chm o Replace MGCP_data_dictionary.lif o Replace MGCP_General_TRD1_1_GDB_to_MGCP_General_TRD1_1_GDB.mdb
o Replace Operational.xml
o Replace Operational_KnowledgeBase.mdb
o Replace Operational_Topology_GD.xml
o Replace plts_defense_solution.chm
o Replace plts_defense_solution.lif
o Replace PLTSDefRegAsm.bat
o Replace ResDefenseFramework.dll
o Replace Strategic.xml
o Replace Strategic_Topology_GD.xml
o Replace Tactical.xml
o Replace Tactical_Data_Dictionary.chm
o Replace Tactical_Data_Dictionary.lif
o Replace Tactical_KnowledgeBase.mdb
o Replace Tactical_Topology_GD.xml
o Replace TGD_Operational.vsd
o Replace TGD_Strategic.vsd
o Replace TGD_Tactical.vsd
o Replace TGD_Urban.vsd
o Replace TLM100.zip
o Replace TLM50.zip
o Replace Urban.xml
o Replace Urban_Data_Dictionary.chm
o Replace Urban_Data_Dictionary.lif
o Replace Urban_Topology_GD.xml
o Replace UVMap_GDB_To_Urban_GDB.mdb
o Replace UVMap_KnowledgeBase.mdb.zip
o Replace VMap1jog_GDB_To_VMap1jog_GDB.mdb
o Replace VMap1JOG_KnowledgeBase.mdb
o Replace Vmap2TLM_knowledgeBase.mdb

Installing the Service Pack



1. You must have administrator privileges and ensure that ArcMap is not currently open.

2. The CD or network location PLTS was originally installed from must be available. For instance, if PLTS was installed from a CD, the CD must be available during the service pack install. Copy the service pack to a local folder and have the PLTS software CD in the CD drive while installing the service pack. If PLTS was installed from a network location the location must be available during the service pack install.

3. Double-click the PLTSDefense92_SP2.msp and follow the installation instructions.

Note: If the .msp extension is currently being used by another program and double clicking the .msp does not start the install process the service pack can be run from the command line.


Launching the service pack from command line:

1. At a DOS command prompt, type 'msiexec.exe' to see if msiexec.exe can be found without specifying its full path.

2. If Step 1 returns a message box from the Windows Install, proceed to Step 3. If it is not found, search your computer for 'msiexec.exe', usually found in the system32 folder, and note the full path when found.

3. At a DOS command prompt use the following syntax to run the .msp file directly:

C:>\path\msiexec.exe /p path\.msp

Example:
C:>\msiexec.exe /p C:\temp\PLTSFoundation92_SP2.msp

An article on command line installations can be found on the ESRI support site at:
HowTo: Install a .msp file that is not recognized as a patch file


Service Pack and Patch Updates


Check Online Support Center periodically for the availability of additional service packs and patches.

Getting Help


Domestic sites, please contact ESRI Technical Support at 909.793.3774, if you have any difficulty installing this Service Pack. International sites, please contact your local ESRI software distributor.

Download

Supporting Files :